@echo off
cls
TITLE TAP-Win32 driver Fixer
Color 02
echo.
echo.
echo     ÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛ 
echo     x                                                               x
echo     Û                   TAP-Win32 driver Fixer                      Û 
echo     x                                                               x
echo     Û-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-Û
echo     x                                                               x 
echo     Û                        Processing.....                        Û 
echo     x                                                               x
echo     ÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛ 
echo.
echo WARNING: this script will delete ALL TAP virtual adapters (use the device manager to delete adapters one at a time)
echo.
cd %~dp0
"tapinstallWin32.exe" remove tap0901
rem Add a new TAP virtual ethernet adapter
tapinstallWin32.exe install "..\driver\win32\OemWin2k.inf" tap0901
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo     ÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛ 
echo     x                                                               x
echo     Û                   TAP-Win32 driver Fixer                      Û 
echo     x                                                               x
echo     Û-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-Û
echo     x                                                               x 
echo     Û                         Finished                              Û 
echo     x                                                               x
echo     ÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛxÛ 
echo.
echo Tap Driver erros fixed successfully....
timeout 10